Subject: Postgres 7.2.1 under WinXP - problem with createdb
From: Łukasz Odziewa <[email-masked]>
To: [email-masked]
Date: Thu, 25 Apr 2002 08:42:50 +0200

OS: Windows XP Polish with all upadates
Cygwin: latest (downloaded yestarday from mirror)
More info in attached file.

I have serious problem with Postgres - I'm unable to create database.

Under version 7.2.1 (and so 7.2-2) I had problems with run initdb. I
solve them by adding additional package cygipc-1.11-1 and run
ipc-daemon.exe before postgres utils. Now, initdb works, but I cannot
create database :(((

When I want to do this I can see message as this below:
-------------
Disk_2@DISK /db/www
$ createdb ascomp -U aqq
NOTICE:  database directory '/db/data2/base/52379' could not be removed
ERROR:  CREATE DATABASE: could not initialize database directory; delete failed
as well
createdb: database creation failed

Disk_2@DISK /db/www
$ createdb xty
NOTICE:  database directory '/db/data2/base/52380' could not be removed
ERROR:  CREATE DATABASE: could not initialize database directory; delete failed
as well
createdb: database creation failed
---------------

User Disk_2 is administrator, so it isn't privileges problem.

On the postgres console I can see:
---------------
DEBUG:  database system was shut down at 2002-04-25 05:57:12
DEBUG:  checkpoint record is at 0/1125838
DEBUG:  redo record is at 0/1125838; undo record is at 0/0; shutdown TRUE
DEBUG:  next transaction id: 6802; next oid: 52379
DEBUG:  database system is ready
NOTICE:  database directory '/db/data2/base/52379' could not be removed
ERROR:  CREATE DATABASE: could not initialize database directory; delete failed
as well
NOTICE:  database directory '/db/data2/base/52380' could not be removed
ERROR:  CREATE DATABASE: could not initialize database directory; delete failed
as well
---------------

I compiled Postgresql-7.2.1 from sources and problem is still the
same. Firstly I must install cygipc to run initdb and after that
postmaster starts, but creating database failed.

Could you give me some advice? I don't now what I do wrong :(

-- 
Best regards,
 Lukasz                          mailto:[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/